function [data] = pnPreprocessDeleteData(data,idx)
%PNPREPROCESSDELETEDATA	Deletes data in "data" at idx (used with cellfun)
%	[ data ] = pnPreprocessDeleteData(data,idx) 
%	
%
%	Inputs:
%		data - Vector of data
%		idx  - Index for data to be removed
%
%	Outputs:
%		data - Data with elements at idx deleted
%		
%
%	Example
%		data(:,m) = cellfun(@pnPreprocessDeleteData, data(:,m), idx, 'UniformOutput', false);
%	
%	See also PNPREPROCESSDATA

%	Copyright 2012 Alistair Johnson

%	$LastChangedBy: alistair $
%	$LastChangedDate: 2012-03-13 12:17:58 +0000 (Tue, 13 Mar 2012) $
%	$Revision: 225 $
%	Originally written on PCWIN64 by Alistair Johnson, 09-Mar-2012 17:47:37
%	Contact: alistairewj@gmail.com

data(idx)=[];